totem is unable to play .mp4. and some .avi, works fine with .webm. Same videos are played successfully by VLC

Bug #1711067 reported by corrado venturini on 2017-08-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gstreamer1.0 (Ubuntu)
High
Iain Lane

Bug Description

Problem: totem is unable to play .avi and .mp4. works fine with .webm. Same videos are played successfully by VLC media player. totem does not crash, but just remains with a black screen.
Another symptom (of same problem?) is avi and mp4 thumbnails are not resolved in images.
I found the problem with an installation from daily 20170807 and have the same problem with daily 20170815.
How to reproduce problem: try open a .avi or .mp4 (with videos/totem) results in a black screen. Here the output starting it from terminal:

corrado@corrado-HP-aa-0815:~$ cd /media/corrado/dati1/linux/ArtfulBugs/totem
corrado@corrado-HP-aa-0815:/media/corrado/dati1/linux/ArtfulBugs/totem$ ls
cagax.avi prova vid.mp4
corrado@corrado-HP-aa-0815:/media/corrado/dati1/linux/ArtfulBugs/totem$ totem cagax.avi
** Message: Missing plugin: gstreamer|1.0|totem|MPEG-1 Layer 3 (MP3) decoder|decoder-audio/mpeg, mpegversion=(int)1, mpegaudioversion=(int)1, layer=(int)3 (MPEG-1 Layer 3 (MP3) decoder)
** Message: Missing plugin: gstreamer|1.0|totem|MPEG-4 Video decoder|decoder-video/mpeg, mpegversion=(int)4, systemstream=(boolean)false (MPEG-4 Video decoder)
** Message: Automatic missing codec installation not supported (helper script missing)

(totem:8899): Totem-WARNING **: Failed to reset the playback rate to 1.0
corrado@corrado-HP-aa-0815:/media/corrado/dati1/linux/ArtfulBugs/totem$ totem vid.mp4
** Message: Missing plugin: gstreamer|1.0|totem|MPEG-4 AAC decoder|decoder-audio/mpeg, mpegversion=(int)4, level=(string)1, base-profile=(string)lc, profile=(string)lc (MPEG-4 AAC decoder)
** Message: Missing plugin: gstreamer|1.0|totem|H.264 (Constrained Baseline Profile) decoder|decoder-video/x-h264, level=(string)3, profile=(string)constrained-baseline (H.264 (Constrained Baseline Profile) decoder)
** Message: Automatic missing codec installation not supported (helper script missing)

(totem:8917): Totem-WARNING **: Failed to reset the playback rate to 1.0
corrado@corrado-HP-aa-0815:/media/corrado/dati1/linux/ArtfulBugs/totem$

corrado@corrado-HP-aa-0815:/media/corrado/dati1/linux/ArtfulBugs/totem$ apt policy totem
totem:
  Installed: 3.25.90.1-0ubuntu1
  Candidate: 3.25.90.1-0ubuntu1
  Version table:
 *** 3.25.90.1-0ubuntu1 100
        100 /var/lib/dpkg/status
corrado@corrado-HP-aa-0815:/media/corrado/dati1/linux/ArtfulBugs/totem$ uname -a
Linux corrado-HP-aa-0815 4.11.0-13-generic #19-Ubuntu SMP Thu Aug 3 15:14:11 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
corrado@corrado-HP-aa-0815:/media/corrado/dati1/linux/ArtfulBugs/totem$

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: libgstreamer1.0-0 1.12.2-1
ProcVersionSignature: Ubuntu 4.11.0-13.19-generic 4.11.12
Uname: Linux 4.11.0-13-generic x86_64
ApportVersion: 2.20.6-0ubuntu5
Architecture: amd64
CurrentDesktop: GNOME
Date: Wed Aug 16 10:00:26 2017
InstallationDate: Installed on 2017-08-10 (6 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170807)
SourcePackage: gstreamer1.0
UpgradeStatus: No upgrade log present (probably fresh install)
XorgLog: Error: [Errno 2] No such file or directory: '/var/log/Xorg.0.log'

same .avi and .mp4 are also played successfully by mpv Media Player. Some .avi are played also by totem and his thumbnails are displayed correctly.

summary: - totem is unable to play .avi and .mp4. works fine with .webm. Same
+ totem is unable to play .mp4. and some .avi, works fine with .webm. Same
videos are played successfully by VLC

My problem disappeared on new installation from Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170903) with new totem:
corrado@corrado-HP-aa-p6:~$ apt policy totem
totem:
  Installed: 3.25.90.1-0ubuntu3
  Candidate: 3.25.90.1-0ubuntu3
  Version table:
 *** 3.25.90.1-0ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu artful/main amd64 Packages
        100 /var/lib/dpkg/status
corrado@corrado-HP-aa-p6:~$

Sebastien Bacher (seb128) wrote :

Could you check if you have gstreamer1.0-packagekit installed?

Sebastien Bacher (seb128) wrote :

Looks like it's not installed by default at the moment, Iain is fixing that

Changed in gstreamer1.0 (Ubuntu):
assignee: nobody → Iain Lane (laney)
importance: Undecided → High
status: New → Incomplete
Iain Lane (laney) wrote :

I think this is the same as bug #1712979. Thanks for reporting. If there are still problems after you have that installed, please file a new bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers